RIO(1)

NAME

Rio - A cross-platform, GPU-accelerated terminal emulator.

SYNOPSIS

Rio is a modern terminal emulator built with Rust and WebGPU that provides high performance rendering with support for modern terminal features including sixel graphics, hyperlinks, and custom shaders.

FLAGS

-h, --help

    Prints help information.

-V, --version

    Prints version information.

OPTIONS

-e, --command <COMMAND>...

    Command and args to execute (must be last argument).

-w, --working-dir <WORKING_DIR>

    Start the shell in the specified working directory.

--write-config [<PATH>]

    Writes the config to a given path or the default location.

    Rio doesn't create the config file for you, but it looks for one in the following locations on UNIX systems:

        1.  $RIO_CONFIG_HOME/config.toml
        2.  $XDG_CONFIG_HOME/rio/config.toml
        3.  $HOME/.config/rio/config.toml

    On Windows, the config file will be looked for in:

        1.  %USERPROFILE%\AppData\Local\rio\config.toml

--enable-log-file

    Writes the logs to a file inside the config directory.

--title-placeholder <TITLE>

    Start window with specified title.

CONFIGURATION

Rio uses TOML format for configuration. The configuration file is automatically reloaded when changed. See rio(5) for detailed configuration documentation.

FEATURES

Rio supports many modern terminal features:

•   GPU-accelerated rendering with WebGPU
•   Sixel graphics protocol
•   iTerm2 image protocol
•   Kitty keyboard protocol
•   Hyperlinks (OSC 8)
•   Vi mode for navigation
•   Split panels
•   Custom shaders (RetroArch compatible)
•   Adaptive themes
•   Font ligatures
•   Wide color gamut support

ENVIRONMENT

RIO_CONFIG_HOME

    Custom path for Rio configuration directory. When set, Rio will look for configuration files in this directory instead of the default locations.

SEE ALSO

rio(5)

BUGS

Found a bug? Please report it at https://github.com/raphamorim/rio/issues.

MAINTAINERS

•   Raphael Amorim <rapha850@gmail.com>